<?php
 include_once '../php/config.php';
 include_once '../header.php';
 	$str_c = mysql_query("select * from cuadres where usuario='".$_COOKIE['usuario']."'") or die(mysql_error());
	$estado_caja = @mysql_result($str_c, 0, "estado");
?>

<style>
.nav{
	display:none;
}
</style>

<div class="container">

	  <div class="row">
				<div class="col-md-12">
					<span class="h2 text-success"><i class="fa fa-cubes"></i> Apertura de caja</span><br>
					<br>
					Cajero: <?php echo $_COOKIE['usuario']?>

			<hr>
			<a href="turnos_caja.php" class="btn btn-default mb-2" href="javascript:void(0)" ><i class="fa fa-undo"></i> VOLVER ATRAS</a>

			<?php if($estado_caja=="Cerrada" OR $estado_caja==""){?>
			<button  onClick="abrir_caja()" class="btn btn-success mb-2" href="javascript:void(0)" ><i class="fa fa-upload"></i> Abrir caja</button>
			<?php }?>
		</div>
	</div>

	<div class="row">
	 <div class="col-xs-4 mt-2">
		<b>Monto apertura:</b><br>
		<input type="number" class="form-control" id="monto" value="0" placeholder="0.00">
	</div>

</div>
</div>
<script>
function abrir_caja(){
	$(".btn").prop("disabled", true);
	var monto = $("#monto").val()
	var usurio = "<?php echo $_COOKIE['usuario']?>";
	window.location.href="abrir_caja.php?abrir=1&monto="+monto;
}
</script>
<?php
if(isSet($_GET["abrir"])){
	include_once '../php/config.php';
if($_GET["abrir"]=="1"){
  mysql_query("update cuadres set monto_inicio='".$_GET['monto']."',
   fecha_inicio=CURDATE(),
   hora_inicio=CURTIME(),
   balance_efectivo='".$_GET['monto']."',
   total_ventas_tarjeta=0,
   total_ventas_credito=0,
   ventas=0,
   total_ventas=0,
   total_ventas_efectivo=0,
   fecha_cierre='',
   hora_cierre='',
   usuario_cierre='',
   estado='Abierta' where usuario='".$_COOKIE['usuario']."'") or die(mysql_error());



   mysql_query("insert into ingresos set tipo='Apertura caja',
   monto='".$_GET['monto']."',
   cliente='Apertura caja',
   usuario='".$_COOKIE['usuario']."',
   concepto='Apertura caja',
   fecha=CURDATE(),
   hora=CURTIME()") or die(mysql_error());
   echo "<script>window.location.href='_nueva_venta.php'</script>";

}
	}
?>
